/**
 * 请求数据
 */
import { DataType, HttpMethod, Path } from "../BeanFactory";
export declare class Request<T> extends Path {
    /**
     * 具体请求数据
     */
    data: T;
    /**
     * 头部文件
     */
    header: Array<Header>;
    constructor(path: string, data: T, method?: HttpMethod, dataType?: DataType, group?: string, name?: string);
    setUrl(url: string): Request<T>;
    /**
     * 获取头部文件
     */
    getHeaders(): object;
}
/**
 * 请求头
 */
export interface Header {
    /**
     * 键
     */
    key: string;
    /**
     * 值
     */
    value: string;
}
