/**
 * 验证属性
 */
export interface ValidationProperty {
    /**
     * 正则表达式
     */
    pattern?: string;
    /**
     * 提示的消息
     */
    message?: string;
    /**
     * 触发的方法
     */
    trigger: TriggerEnum;
    /**
     * 是否必传
     */
    required?: true;
    /**
     * 数据类型
     */
    type?: "string";
    /**
     * 最小
     */
    min?: number;
    /**
     * 最大
     */
    max?: number;
    /**
     * 自定义函数
     */
    validator?: Function;
}
/**
 * 出发的枚举
 */
export declare enum TriggerEnum {
    blur = "blur",
    change = "change",
    request = "request"
}
