import { Request } from "../model/Request";
import { AxiosInstance, AxiosPromise } from "csap-axios";
import { HttpRequest } from "../HttpRequest";
export declare class DefaultHttpRequest implements HttpRequest {
    constructor();
    /**
     * GET 请求
     * @param data
     * @param method_name
     * @returns {AxiosPromise}
     */
    get<T, R>(data: Request<T>): AxiosPromise<R>;
    /**
     * post请求
     * @param data
     * @param baseFrameWorkParam
     * @returns {AxiosPromise}
     */
    post<T, R>(data: Request<T>): AxiosPromise<R>;
    /**
     * put修改操作
     * @param data
     * @param baseFrameWorkParam
     * @returns {AxiosPromise}
     */
    put<T, R>(data: Request<T>): AxiosPromise<R>;
    /**
     * delete请求
     * @param data
     * @param baseFrameWorkParam
     * @returns {AxiosPromise}
     */
    delete<T, R>(data: Request<T>): AxiosPromise<R>;
    /**
     * patch 请求
     * @param data
     * @param baseFrameWorkParam
     * @returns {AxiosPromise}
     */
    patch<T, R>(data: Request<T>): AxiosPromise<R>;
    /**
     * options请求
     *
     * @param data
     * @param baseFrameWorkParam
     * @returns {AxiosPromise}
     */
    options<T, R>(data: Request<T>): AxiosPromise<R>;
    /**
     * 执行请求
     * @param method
     * @param data
     * @param baseFrameWorkParam
     * @returns {AxiosPromise}
     */
    execute<T, R>(data: Request<T>): AxiosPromise<R>;
    getAxiosInstance(): AxiosInstance;
}
